> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product Reviews

> Returns a list of product reviews.



## OpenAPI

````yaml api-reference/v1/openapi-products-v1.yaml get /products/reviews
openapi: 3.0.3
info:
  title: CoCart - Products API v1
  version: 4.6.0
  description: >-
    API for managing WooCommerce products, variations, categories, tags,
    attributes, and reviews
  termsOfService: http://cocartapi.com/terms-of-conditions-polar/
  contact:
    email: support@cocartapi.com
  license:
    name: GNU General Public License v3.0
    url: http://www.gnu.org/licenses/gpl-3.0.html
servers:
  - url: '{protocol}://{host}/wp-json/cocart/v1'
    description: API v1
    variables:
      protocol:
        enum:
          - http
          - https
        default: https
      host:
        default: example-store.com
        description: Your store domain
security: []
tags:
  - name: products
    description: Operations for managing products
  - name: product-variations
    description: Operations for managing product variations
  - name: product-categories
    description: Operations for managing product categories
  - name: product-tags
    description: Operations for managing product tags
  - name: product-attributes
    description: Operations for managing product attributes
  - name: product-attribute-terms
    description: Operations for managing product attribute terms
  - name: product-reviews
    description: Operations for managing product reviews
externalDocs:
  description: Find out more about CoCart API
  url: https://docs.cocartapi.com
paths:
  /products/reviews:
    get:
      tags:
        - product-reviews
      summary: Get product reviews
      description: Returns a list of product reviews.
      parameters:
        - name: context
          in: query
          description: >-
            Scope under which the request is made; determines fields present in
            response.
          schema:
            type: string
            enum:
              - view
              - embed
            default: view
          required: false
        - name: page
          in: query
          description: Current page of the collection.
          schema:
            type: integer
            default: 1
          required: false
        - name: per_page
          in: query
          description: Maximum number of items to be returned in result set.
          schema:
            type: integer
            default: 10
            maximum: 100
          required: false
        - name: search
          in: query
          description: Limit results to those matching a string.
          schema:
            type: string
          required: false
        - name: after
          in: query
          description: >-
            Limit response to resources published after a given ISO8601
            compliant date.
          schema:
            type: string
            format: date-time
          required: false
        - name: before
          in: query
          description: >-
            Limit response to resources published before a given ISO8601
            compliant date.
          schema:
            type: string
            format: date-time
          required: false
        - name: exclude
          in: query
          description: Ensure result set excludes specific IDs.
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: include
          in: query
          description: Limit result set to specific IDs.
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: offset
          in: query
          description: Offset the result set by a specific number of items.
          schema:
            type: integer
          required: false
        - name: order
          in: query
          description: Order sort attribute ascending or descending.
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
          required: false
        - name: orderby
          in: query
          description: Sort collection by object attribute.
          schema:
            type: string
            enum:
              - date
              - date_gmt
              - id
              - include
              - product
              - rating
              - slug
            default: date_gmt
          required: false
        - name: reviewer
          in: query
          description: Limit result set to reviews from a specific author by user ID.
          schema:
            type: integer
          required: false
        - name: reviewer_email
          in: query
          description: Limit result set to reviews from a specific author by email address.
          schema:
            type: string
          required: false
        - name: reviewer_exclude
          in: query
          description: >-
            Ensure result set excludes reviews from a specific set of authors by
            user ID.
          schema:
            type: array
            items:
              type: integer
          required: false
        - name: product
          in: query
          description: Limit result set to reviews assigned to a specific product.
          schema:
            type: integer
          required: false
        - name: category_id
          in: query
          description: Limit result set to reviews from products in a specific category ID.
          schema:
            type: array
            items:
              type: integer
          required: false
      responses:
        '200':
          description: List of product reviews.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductReview'
        '400':
          description: Bad request - invalid parameters.
components:
  schemas:
    ProductReview:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the review.
        date_created:
          type: string
          format: date-time
          description: Date when the review was created.
        date_created_gmt:
          type: string
          format: date-time
          description: Date when the review was created in GMT.
        product_id:
          type: integer
          description: Product ID.
        status:
          type: string
          description: Review status.
        reviewer:
          type: string
          description: Reviewer name.
        reviewer_email:
          type: string
          description: Reviewer email.
        review:
          description: Review content.
          type: string
        rating:
          type: integer
          description: Review rating.
        verified:
          type: boolean
          description: Whether the review is verified.
        links:
          type: object
          properties:
            self:
              type: array
              items:
                type: object
                properties:
                  href:
                    type: string
                    description: Link URL.
            collection:
              type: array
              items:
                type: object
                properties:
                  href:
                    type: string
                    description: Link URL.
            up:
              type: array
              items:
                type: object
                properties:
                  href:
                    type: string
                    description: Link URL.

````